/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
var LiveGridDescription = /** @class */ (function (_super) {
    __extends(LiveGridDescription, _super);
    function LiveGridDescription() {
        var _this = _super.call(this) || this;
        _this.bs = null;
        _this.bo = null;
        _this.x = null;
        _this.v = null;
        _this.t = null;
        _this.n = null;
        _this.l = null;
        _this.g = null;
        _this.a0 = 0;
        _this.ap = 0;
        _this.ay = 0;
        _this.b0 = null;
        _this.z = false;
        _this.a1 = 0;
        _this.ad = false;
        _this.bk = null;
        _this.bq = null;
        _this.bc = null;
        _this.b6 = null;
        _this.bi = null;
        _this.p = null;
        _this.br = null;
        _this.bv = null;
        _this.bn = null;
        _this.bm = null;
        _this.bl = null;
        _this.cj = null;
        _this.a8 = null;
        _this.ci = null;
        _this.aa = false;
        _this.ab = false;
        _this.ac = false;
        _this.bh = null;
        _this.cc = null;
        _this.aq = 0;
        _this.cl = null;
        _this.b5 = null;
        _this.b4 = null;
        _this.r = null;
        _this.ba = null;
        _this.bj = null;
        _this.b2 = null;
        _this._cellFontFamily = null;
        _this._cellFontSize = 0;
        _this._cellFontStyle = null;
        _this._cellFontWeight = null;
        _this.cb = null;
        _this.cd = null;
        _this._sectionHeaderFontFamily = null;
        _this._sectionHeaderFontSize = 0;
        _this._sectionHeaderFontStyle = null;
        _this._sectionHeaderFontWeight = null;
        _this.az = 0;
        _this.b1 = null;
        _this.bz = null;
        _this.b3 = null;
        _this._headerFontFamily = null;
        _this._headerFontSize = 0;
        _this._headerFontStyle = null;
        _this._headerFontWeight = null;
        _this.b7 = null;
        _this.ca = null;
        _this.b8 = null;
        _this.b9 = null;
        _this.ax = 0;
        _this.aw = 0;
        _this.bt = null;
        _this.bp = null;
        _this.h = null;
        _this.f = null;
        _this.ag = false;
        _this.af = false;
        _this.ae = false;
        _this.bx = null;
        _this.bw = null;
        _this.bf = null;
        _this.bg = null;
        _this.bd = null;
        _this.be = null;
        _this.bb = null;
        _this.ck = null;
        _this.by = null;
        _this.bu = null;
        _this.cg = null;
        _this.ch = null;
        _this.cf = null;
        _this.a9 = null;
        _this.ce = null;
        return _this;
    }
    LiveGridDescription.prototype.get_type = function () {
        return "LiveGrid";
    };
    Object.defineProperty(LiveGridDescription.prototype, "type", {
        get: function () {
            return this.get_type();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "columnResizingMode", {
        get: function () {
            return this.bs;
        },
        set: function (a) {
            this.bs = a;
            this.e("ColumnResizingMode");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "columnMovingMode", {
        get: function () {
            return this.bo;
        },
        set: function (a) {
            this.bo = a;
            this.e("ColumnMovingMode");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "sectionHeader", {
        get: function () {
            return this.x;
        },
        set: function (a) {
            this.x = a;
            this.e("SectionHeader");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "rowSeparator", {
        get: function () {
            return this.v;
        },
        set: function (a) {
            this.v = a;
            this.e("RowSeparator");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "headerSeparator", {
        get: function () {
            return this.t;
        },
        set: function (a) {
            this.t = a;
            this.e("HeaderSeparator");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "columnResizingSeparator", {
        get: function () {
            return this.n;
        },
        set: function (a) {
            this.n = a;
            this.e("ColumnResizingSeparator");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "columnMovingSeparator", {
        get: function () {
            return this.l;
        },
        set: function (a) {
            this.l = a;
            this.e("ColumnMovingSeparator");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "dataSourceDesiredProperties", {
        get: function () {
            return this.g;
        },
        set: function (a) {
            this.g = a;
            this.e("DataSourceDesiredProperties");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "rowHeight", {
        get: function () {
            return this.a0;
        },
        set: function (a) {
            this.a0 = a;
            this.e("RowHeight");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "defaultColumnMinWidth", {
        get: function () {
            return this.ap;
        },
        set: function (a) {
            this.ap = a;
            this.e("DefaultColumnMinWidth");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "headerHeight", {
        get: function () {
            return this.ay;
        },
        set: function (a) {
            this.ay = a;
            this.e("HeaderHeight");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "headerClickAction", {
        get: function () {
            return this.b0;
        },
        set: function (a) {
            this.b0 = a;
            this.e("HeaderClickAction");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "autoGenerateColumns", {
        get: function () {
            return this.z;
        },
        set: function (a) {
            this.z = a;
            this.e("AutoGenerateColumns");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "rowSeparatorHeight", {
        get: function () {
            return this.a1;
        },
        set: function (a) {
            this.a1 = a;
            this.e("RowSeparatorHeight");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "isPlaceholderRenderingEnabled", {
        get: function () {
            return this.ad;
        },
        set: function (a) {
            this.ad = a;
            this.e("IsPlaceholderRenderingEnabled");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "columnAddingAnimationMode", {
        get: function () {
            return this.bk;
        },
        set: function (a) {
            this.bk = a;
            this.e("ColumnAddingAnimationMode");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "columnPropertyUpdatingAnimationMode", {
        get: function () {
            return this.bq;
        },
        set: function (a) {
            this.bq = a;
            this.e("ColumnPropertyUpdatingAnimationMode");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "cellDataLoadedAnimationMode", {
        get: function () {
            return this.bc;
        },
        set: function (a) {
            this.bc = a;
            this.e("CellDataLoadedAnimationMode");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "rowSelectionAnimationMode", {
        get: function () {
            return this.b6;
        },
        set: function (a) {
            this.b6 = a;
            this.e("RowSelectionAnimationMode");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "cellSelectionAnimationMode", {
        get: function () {
            return this.bi;
        },
        set: function (a) {
            this.bi = a;
            this.e("CellSelectionAnimationMode");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "animationSettings", {
        get: function () {
            return this.p;
        },
        set: function (a) {
            this.p = a;
            this.e("AnimationSettings");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "columnResizingAnimationMode", {
        get: function () {
            return this.br;
        },
        set: function (a) {
            this.br = a;
            this.e("ColumnResizingAnimationMode");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "columnShowingAnimationMode", {
        get: function () {
            return this.bv;
        },
        set: function (a) {
            this.bv = a;
            this.e("ColumnShowingAnimationMode");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "columnMovingAnimationMode", {
        get: function () {
            return this.bn;
        },
        set: function (a) {
            this.bn = a;
            this.e("ColumnMovingAnimationMode");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "columnHidingAnimationMode", {
        get: function () {
            return this.bm;
        },
        set: function (a) {
            this.bm = a;
            this.e("ColumnHidingAnimationMode");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "columnExchangingAnimationMode", {
        get: function () {
            return this.bl;
        },
        set: function (a) {
            this.bl = a;
            this.e("ColumnExchangingAnimationMode");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "selectionMode", {
        get: function () {
            return this.cj;
        },
        set: function (a) {
            this.cj = a;
            this.e("SelectionMode");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "activationMode", {
        get: function () {
            return this.a8;
        },
        set: function (a) {
            this.a8 = a;
            this.e("ActivationMode");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "selectionBehavior", {
        get: function () {
            return this.ci;
        },
        set: function (a) {
            this.ci = a;
            this.e("SelectionBehavior");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "isFilterUIEnabled", {
        get: function () {
            return this.aa;
        },
        set: function (a) {
            this.aa = a;
            this.e("IsFilterUIEnabled");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "isGroupRowSticky", {
        get: function () {
            return this.ab;
        },
        set: function (a) {
            this.ab = a;
            this.e("IsGroupRowSticky");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "isHeaderSeparatorVisible", {
        get: function () {
            return this.ac;
        },
        set: function (a) {
            this.ac = a;
            this.e("IsHeaderSeparatorVisible");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "cellSelectedBackground", {
        get: function () {
            return this.bh;
        },
        set: function (a) {
            this.bh = a;
            this.e("CellSelectedBackground");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "sectionHeaderSelectedBackground", {
        get: function () {
            return this.cc;
        },
        set: function (a) {
            this.cc = a;
            this.e("SectionHeaderSelectedBackground");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "pinnedRowOpacity", {
        get: function () {
            return this.aq;
        },
        set: function (a) {
            this.aq = a;
            this.e("PinnedRowOpacity");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "stickyRowBackground", {
        get: function () {
            return this.cl;
        },
        set: function (a) {
            this.cl = a;
            this.e("StickyRowBackground");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "pinnedRowBackground", {
        get: function () {
            return this.b5;
        },
        set: function (a) {
            this.b5 = a;
            this.e("PinnedRowBackground");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "lastStickyRowBackground", {
        get: function () {
            return this.b4;
        },
        set: function (a) {
            this.b4 = a;
            this.e("LastStickyRowBackground");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "activeCell", {
        get: function () {
            return this.r;
        },
        set: function (a) {
            this.r = a;
            this.e("ActiveCell");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "cellBackground", {
        get: function () {
            return this.ba;
        },
        set: function (a) {
            this.ba = a;
            this.e("CellBackground");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "cellTextColor", {
        get: function () {
            return this.bj;
        },
        set: function (a) {
            this.bj = a;
            this.e("CellTextColor");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "headerSortIndicatorColor", {
        get: function () {
            return this.b2;
        },
        set: function (a) {
            this.b2 = a;
            this.e("HeaderSortIndicatorColor");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "cellFontFamily", {
        get: function () {
            return this._cellFontFamily;
        },
        set: function (a) {
            this._cellFontFamily = a;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "cellFontSize", {
        get: function () {
            return this._cellFontSize;
        },
        set: function (a) {
            this._cellFontSize = a;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "cellFontStyle", {
        get: function () {
            return this._cellFontStyle;
        },
        set: function (a) {
            this._cellFontStyle = a;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "cellFontWeight", {
        get: function () {
            return this._cellFontWeight;
        },
        set: function (a) {
            this._cellFontWeight = a;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "sectionHeaderBackground", {
        get: function () {
            return this.cb;
        },
        set: function (a) {
            this.cb = a;
            this.e("SectionHeaderBackground");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "sectionHeaderTextColor", {
        get: function () {
            return this.cd;
        },
        set: function (a) {
            this.cd = a;
            this.e("SectionHeaderTextColor");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "sectionHeaderFontFamily", {
        get: function () {
            return this._sectionHeaderFontFamily;
        },
        set: function (a) {
            this._sectionHeaderFontFamily = a;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "sectionHeaderFontSize", {
        get: function () {
            return this._sectionHeaderFontSize;
        },
        set: function (a) {
            this._sectionHeaderFontSize = a;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "sectionHeaderFontStyle", {
        get: function () {
            return this._sectionHeaderFontStyle;
        },
        set: function (a) {
            this._sectionHeaderFontStyle = a;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "sectionHeaderFontWeight", {
        get: function () {
            return this._sectionHeaderFontWeight;
        },
        set: function (a) {
            this._sectionHeaderFontWeight = a;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "headerSeparatorWidth", {
        get: function () {
            return this.az;
        },
        set: function (a) {
            this.az = a;
            this.e("HeaderSeparatorWidth");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "headerSeparatorBackground", {
        get: function () {
            return this.b1;
        },
        set: function (a) {
            this.b1 = a;
            this.e("HeaderSeparatorBackground");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "headerBackground", {
        get: function () {
            return this.bz;
        },
        set: function (a) {
            this.bz = a;
            this.e("HeaderBackground");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "headerTextColor", {
        get: function () {
            return this.b3;
        },
        set: function (a) {
            this.b3 = a;
            this.e("HeaderTextColor");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "headerFontFamily", {
        get: function () {
            return this._headerFontFamily;
        },
        set: function (a) {
            this._headerFontFamily = a;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "headerFontSize", {
        get: function () {
            return this._headerFontSize;
        },
        set: function (a) {
            this._headerFontSize = a;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "headerFontStyle", {
        get: function () {
            return this._headerFontStyle;
        },
        set: function (a) {
            this._headerFontStyle = a;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "headerFontWeight", {
        get: function () {
            return this._headerFontWeight;
        },
        set: function (a) {
            this._headerFontWeight = a;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "rowSeparatorBackground", {
        get: function () {
            return this.b7;
        },
        set: function (a) {
            this.b7 = a;
            this.e("RowSeparatorBackground");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "rowSeparatorStickyRowBackground", {
        get: function () {
            return this.ca;
        },
        set: function (a) {
            this.ca = a;
            this.e("RowSeparatorStickyRowBackground");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "rowSeparatorLastStickyRowBackground", {
        get: function () {
            return this.b8;
        },
        set: function (a) {
            this.b8 = a;
            this.e("RowSeparatorLastStickyRowBackground");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "rowSeparatorPinnedRowBackground", {
        get: function () {
            return this.b9;
        },
        set: function (a) {
            this.b9 = a;
            this.e("RowSeparatorPinnedRowBackground");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "columnResizingSeparatorWidth", {
        get: function () {
            return this.ax;
        },
        set: function (a) {
            this.ax = a;
            this.e("ColumnResizingSeparatorWidth");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "columnMovingSeparatorWidth", {
        get: function () {
            return this.aw;
        },
        set: function (a) {
            this.aw = a;
            this.e("ColumnMovingSeparatorWidth");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "columnResizingSeparatorBackground", {
        get: function () {
            return this.bt;
        },
        set: function (a) {
            this.bt = a;
            this.e("ColumnResizingSeparatorBackground");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "columnMovingSeparatorBackground", {
        get: function () {
            return this.bp;
        },
        set: function (a) {
            this.bp = a;
            this.e("ColumnMovingSeparatorBackground");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "primaryKey", {
        get: function () {
            return this.h;
        },
        set: function (a) {
            this.h = a;
            this.e("PrimaryKey");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "actualPrimaryKey", {
        get: function () {
            return this.f;
        },
        set: function (a) {
            this.f = a;
            this.e("ActualPrimaryKey");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "reactsToSortChanges", {
        get: function () {
            return this.ag;
        },
        set: function (a) {
            this.ag = a;
            this.e("ReactsToSortChanges");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "reactsToGroupChanges", {
        get: function () {
            return this.af;
        },
        set: function (a) {
            this.af = a;
            this.e("ReactsToGroupChanges");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "reactsToFilterChanges", {
        get: function () {
            return this.ae;
        },
        set: function (a) {
            this.ae = a;
            this.e("ReactsToFilterChanges");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "filterExpressionsChangingRef", {
        get: function () {
            return this.bx;
        },
        set: function (a) {
            this.bx = a;
            this.e("FilterExpressionsChangingRef");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "filterExpressionsChangedRef", {
        get: function () {
            return this.bw;
        },
        set: function (a) {
            this.bw = a;
            this.e("FilterExpressionsChangedRef");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "cellPreviewPointerDownRef", {
        get: function () {
            return this.bf;
        },
        set: function (a) {
            this.bf = a;
            this.e("CellPreviewPointerDownRef");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "cellPreviewPointerUpRef", {
        get: function () {
            return this.bg;
        },
        set: function (a) {
            this.bg = a;
            this.e("CellPreviewPointerUpRef");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "cellPointerDownRef", {
        get: function () {
            return this.bd;
        },
        set: function (a) {
            this.bd = a;
            this.e("CellPointerDownRef");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "cellPointerUpRef", {
        get: function () {
            return this.be;
        },
        set: function (a) {
            this.be = a;
            this.e("CellPointerUpRef");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "cellClickedRef", {
        get: function () {
            return this.bb;
        },
        set: function (a) {
            this.bb = a;
            this.e("CellClickedRef");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "sortDescriptionsChangedRef", {
        get: function () {
            return this.ck;
        },
        set: function (a) {
            this.ck = a;
            this.e("SortDescriptionsChangedRef");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "groupDescriptionsChangedRef", {
        get: function () {
            return this.by;
        },
        set: function (a) {
            this.by = a;
            this.e("GroupDescriptionsChangedRef");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "columnsAutoGeneratedRef", {
        get: function () {
            return this.bu;
        },
        set: function (a) {
            this.bu = a;
            this.e("ColumnsAutoGeneratedRef");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "selectedItemsChangedRef", {
        get: function () {
            return this.cg;
        },
        set: function (a) {
            this.cg = a;
            this.e("SelectedItemsChangedRef");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "selectedKeysChangedRef", {
        get: function () {
            return this.ch;
        },
        set: function (a) {
            this.ch = a;
            this.e("SelectedKeysChangedRef");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "selectedCellsChangedRef", {
        get: function () {
            return this.cf;
        },
        set: function (a) {
            this.cf = a;
            this.e("SelectedCellsChangedRef");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "activeCellChangedRef", {
        get: function () {
            return this.a9;
        },
        set: function (a) {
            this.a9 = a;
            this.e("ActiveCellChangedRef");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiveGridDescription.prototype, "selectedCellRangesChangedRef", {
        get: function () {
            return this.ce;
        },
        set: function (a) {
            this.ce = a;
            this.e("SelectedCellRangesChangedRef");
        },
        enumerable: true,
        configurable: true
    });
    LiveGridDescription.$t = markType(LiveGridDescription, 'LiveGridDescription', Description.$);
    return LiveGridDescription;
}(Description));
export { LiveGridDescription };
